Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.jaf
Class XMLDataContentHandler

    java.lang.Object
      org.jboss.net.axis.jaf.XMLDataContentHandler

All Implemented Interfaces:
  javax.activation.DataContentHandler

public class XMLDataContentHandler
extends Object
implements javax.activation.DataContentHandler

A JAF DataContentHandler for text/xml and application/xml that supports the javax.xml.transform.Source type required by SAAJ

Version:
  $Revision: 1.2.8.2 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`XMLDataContentHandler()`

Method Summary
`Object` | `getContent(javax.activation.DataSource dataSource)`
`Object` | `getTransferData(DataFlavor dataFlavor, javax.activation.DataSource dataSource)`
`DataFlavor[]` | `getTransferDataFlavors()`
`void` | `writeTo(Object obj, String mimeType, OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDataContentHandler

    public XMLDataContentHandler()

Method Detail

### getContent

    public Object getContent(javax.activation.DataSource dataSource)
                      throws IOException

  Specified by:
    `getContent` in interface `javax.activation.DataContentHandler`
  Throws:
    `IOException`

### getTransferData

    public Object getTransferData(DataFlavor dataFlavor,
                                  javax.activation.DataSource dataSource)
                           throws UnsupportedFlavorException,
                                  IOException

  Specified by:
    `getTransferData` in interface `javax.activation.DataContentHandler`
  Throws:
    `UnsupportedFlavorException`
    `IOException`

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`

### writeTo

    public void writeTo(Object obj,
                        String mimeType,
                        OutputStream os)
                 throws IOException

  Specified by:
    `writeTo` in interface `javax.activation.DataContentHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.